repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.4.0
    hooks:
    -   id: trailing-whitespace
        args: [ --markdown-linebreak-ext=md ]
    -   id: end-of-file-fixer
    #-   id: check-docstring-first
    -   id: check-json
    -   id: check-yaml
        args: [ --unsafe ]
    -   id: debug-statements
    #-   id: name-tests-test
    #-   id: requirements-txt-fixer
    #-   id: double-quote-string-fixer
-   repo: https://gitlab.com/pycqa/flake8
    rev: 3.9.1
    hooks:
    -   id: flake8
        additional_dependencies: [flake8-typing-imports==1.9.0]
-   repo: https://github.com/psf/black
    rev: 22.3.0
    hooks:
    -   id: black
        language_version: python3
        args: [--line-length=119]
